%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

Name:		libfshfs
Version:	20201104
Release:	1%{?dist}
Summary:	Library to access the Hierarchical File System (HFS) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfshfs/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool
              
%description
libfshfs is a library to access the Hierarchical File System (HFS) format

%package devel
Summary: Header files and libraries for developing applications for libfshfs
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfshfs.

%package tools
Summary: Several tools for reading Hierarchical File System (HFS) volumes
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description tools
Several tools for reading the Hierarchical File System (HFS) volumes

%prep
%setup -q

%package python2
Summary: Python bindings for libfshfs
Group: System Environment/Libraries
Requires: libfshfs = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python bindings for libfshfs

%if 0%{?with_python3}
%package python3
Summary: Python 3 bindings for libfsext
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python3
Python 3 bindings for libfsext
%endif

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh ];  then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/fshfsinfo
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Wed Nov  4 2020 Lawrence R. Rogers <lrr@cert.org> 20201104-1
* Release 20201104-1
        Version from 20201104

* Mon Oct 19 2020 Lawrence R. Rogers <lrr@cert.org> 20201019-1
* Release 20201019-1
        Version from 20201019

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181101-4
* Release 20181101-4
        Release 4 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181101-3
* Release 20181101-3
	Release 3 - Removed conflicts when that arise when python2 and python 3
		    versions are attempted to be installed on a system.
		    -python packages renamed to -python2


* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version from 20181101

* Tue Jul  4 2017 Joachim Metz <joachim.metz@gmail.com> 20170626-1
- Auto-generated

